Bug 1478805 - bootstrap.py expects names (titles), not labels when passing organization, location and hostgroup
bootstrap.py expects names (titles), not labels when passing organization, lo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Transition Guide (Show other bugs)
Unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Stephen Wadeley
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 03:15 EDT by Evgeni Golov
Modified: 2017-08-10 02:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 03:27:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeni Golov 2017-08-07 03:15:10 EDT
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/transition_guide/chap-red_hat_satellite-transition_guide-transitioning_from_satellite_5_to_6#sect-Red_Hat_Satellite-Transition_Guide-Migrating_a_System_Using_The_Bootstrap_Script

Section Number and Name: 
3.6.10. Migrating Existing Systems Using The Bootstrap Script

Describe the issue:
The current docs show an example how to call bootstrap.py:
# bootstrap.py --login=admin \
--server satellite6.example.com \
--location=location_label \
--organization=organization_label \
--hostgroup=hostgroup_label \
--activationkey=activation_key

However, bootstrap.py expects names, not labels for --location, --organization and --hostgroup.

Suggestions for improvement: 
# bootstrap.py --login=admin \
--server satellite6.example.com \
--location="Example Location" \
--organization="Example Organization" \
--hostgroup="Example HG" \
--activationkey=activation_key

Additional information:
Comment 1 Stephen Wadeley 2017-08-07 03:43:13 EDT
Thank you for raising this bug
Comment 13 Stephen Wadeley 2017-08-10 02:58:44 EDT
Bug 1480093 - Fix bootstrap section to match Transition Guide's section

Note You need to log in before you can comment on or make changes to this bug.